Bug 1314275 (CVE-2015-8830) - CVE-2015-8830 kernel: AIO write triggers integer overflow in some protocols
Summary: CVE-2015-8830 kernel: AIO write triggers integer overflow in some protocols
Status: NEW
Alias: CVE-2015-8830
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150321,repor...
Keywords: Security
Depends On: 1337517 1337518 1337519 1337520
Blocks: 1314289
TreeView+ depends on / blocked
 
Reported: 2016-03-03 10:21 UTC by Adam Mariš
Modified: 2019-02-13 11:58 UTC (History)
31 users (show)

Fixed In Version: kernel 4.1-rc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1854 None None None 2018-06-19 04:46 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:30 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:36 UTC

Description Adam Mariš 2016-03-03 10:21:18 UTC
It was found that AIO interface permitted reading or writing 2 GiB of data or more in a single chunk, which could lead to an integer overflow when applied to certain filesystems, socket or device types.

Upstream patches:

https://git.kernel.org/linus/4c185ce06dca14f5cea192f5a2c981ef50663f2b
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit?id=c4f4b82694fe48b02f7a881a1797131a6dad1364

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/466
http://seclists.org/oss-sec/2016/q1/491

Comment 4 Vladis Dronov 2016-05-19 12:00:59 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, as the related AIO vector code is not present in this product.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7. Future Linux kernel updates for the respective releases might address this issue.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux MRG-2. This flaw is not currently planned to be addressed in future updates due to MRG-2 being an EUS release. For additional information, refer to the Extended Update Support (EUS) Guide: https://access.redhat.com/articles/rhel-eus.

Comment 8 errata-xmlrpc 2018-06-19 04:46:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1854 https://access.redhat.com/errata/RHSA-2018:1854

Comment 9 errata-xmlrpc 2018-10-30 07:30:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 10 errata-xmlrpc 2018-10-30 07:36:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096


Note You need to log in before you can comment on or make changes to this bug.